﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThinkGeo.MapSuite.WpfDesktopEdition;
using ThinkGeo.MapSuite.Core;
using System.Windows.Controls;
using System.Windows;
using System.Windows.Media;

namespace tgdemo
{
    internal class MyMarkerOverlay : MarkerOverlay
    {
        public static Random r = new Random();

        protected override GeoCollection<Marker> GetMarkersToDrawCore(RectangleShape targetExtent)
        {
            GeoCollection<Marker> toReturn = new GeoCollection<Marker>();

            Marker m = new Marker(new PointShape(r.Next(10000000), r.Next(10000000)));
            StackPanel sp = new StackPanel();

            string packUri = "pack://application:,,,/tgdemo;Component/Images/marker_red.png";
            Image img = new Image();
            img.Source = new ImageSourceConverter().ConvertFromString(packUri) as ImageSource;
            m.Content = img;

            TextBlock tb = new TextBlock() { FontWeight = FontWeights.Bold, Text = "Test", FontSize = 14, Margin = new Thickness(5) };
            TextBlock desc = new TextBlock() { Text = "This is a test sentence.", Margin = new Thickness(5, 0, 5, 5) };
            sp.Children.Add(tb);
            sp.Children.Add(desc);
            m.ToolTip = sp;

            toReturn.Add(m);

            return toReturn;
        }
    }
}
